

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/acct.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

diff -puN kernel/acct.c~bsd-acct-warning-fix kernel/acct.c
--- 25/kernel/acct.c~bsd-acct-warning-fix	2004-06-02 22:41:30.156187432 -0700
+++ 25-akpm/kernel/acct.c	2004-06-02 22:41:52.369810448 -0700
@@ -384,7 +384,6 @@ static void do_acct_process(long exitcod
 	unsigned long vsize;
 	unsigned long flim;
 	u64 elapsed;
-	comp2_t etime;
 
 	/*
 	 * First check to see if there is enough free_space to continue
@@ -410,10 +409,12 @@ static void do_acct_process(long exitcod
 	                       (unsigned long) elapsed : (unsigned long) -1l);
 #endif
 #if ACCT_VERSION==1 || ACCT_VERSION==2
-	/* new enlarged etime field */
-	etime = encode_comp2_t(elapsed);
-	ac.ac_etime_hi = etime >> 16;
-	ac.ac_etime_lo = (u16) etime;
+	{
+		/* new enlarged etime field */
+		comp2_t etime = encode_comp2_t(elapsed);
+		ac.ac_etime_hi = etime >> 16;
+		ac.ac_etime_lo = (u16) etime;
+	}
 #endif
 	do_div(elapsed, AHZ);
 	ac.ac_btime = xtime.tv_sec - elapsed;
_
